Frage Xcode-Fehler "Entwickler-Image konnte nicht gefunden werden"


Beim Versuch, eine Build auf einem verbundenen iOS-Gerät in Xcode auszuführen, erhalte ich den Fehler:

Entwickler-Image konnte nicht gefunden werden

Screenshot of error message

Ich habe gesehen, dass es eine öffentliche Beta für Xcode gibt, also habe ich es installiert.

Eine der neuen Funktionen ist, dass Sie kein Developer Program Account Dingus benötigen, um Ihre App direkt auf Ihr iPhone zu laden.

Allerdings habe ich auf meinem iPhone 4s auch ein öffentliches Beta-Update für iOS 8.4 durchgeführt, mit dem Problem, dass kein Developer Disk Image dafür verfügbar ist.

Wo finde ich es oder wie kann es repariert werden?


841
2018-06-09 15:48


Ursprung


Antworten:


Ich habe das gleiche Problem auf Xcode 7.3 oder ältere Version Ihres Xcode und meine Geräteversion ist iOS 10 oder neuere Version Ihres Betriebssystems.

Dieser Fehler wird angezeigt, wenn Ihr Xcode alt ist und das verwandte Gerät, das Sie verwenden, auf die neueste Version aktualisiert wird. Laden Sie zuerst die neueste Xcode-Version herunter. Nein, Sie müssen den neuesten Xcode installieren.

Wir können dieses Problem lösen, indem wir die folgenden Schritte ausführen:

  • Rechtsklick auf Xcode 8 oder neuere Version Ihres Xcode, wählen "Paketinhalt anzeigen","Inhalt","Entwickler","Plattformen","iPhoneOS.Plattform","Geräteunterstützung"
  • Kopieren Sie den Ordner 10.0 (oder höher für eine spätere Version).
  • Zurück in Finder wählen Anwendungen nochmal
  • Rechtsklick auf Xcode 7.3 oder Version Ihres XcodeWählen Sie nun "Paketinhalt anzeigen", "Inhalt", "Entwickler", "Plattformen", "iPhoneOS.Platform", "Geräteunterstützung"
  • Fügen Sie den Ordner 10.0 (oder höher für die spätere Version) ein.

Jetzt hat Ihr Xcode ein neues Entwickler-Image. Schließen Sie jetzt den Finder und beenden Sie Ihren Xcode. Öffnen Sie Ihren Xcode und der Fehler ist weg. Jetzt können Sie Ihr neuestes Gerät mit alten Xcode-Versionen verbinden.

ODER

Wenn Sie den neuesten Xcode nicht herunterladen können, können Sie über diesen Link das neueste Developer Disk Image für Ihren Xcode herunterladen: -

Wie lade ich Xcode DMG oder XIP Dateien herunter?

Danke an @Hailei für ihre Antwort. Damit können die Leute die neuesten DMGs herunterladen.


82
2017-09-30 06:17



Für Leute, die ähnliche Probleme in der Zukunft haben, sollten Sie darauf achten, dass dieses Problem grundlegend in der Diskrepanz zwischen Ihrer iOS-Version und Ihrer Version liegt Xcode Ausführung.

Überprüfen Sie die Kompatibilität von iOS und Xcode.


573
2017-11-01 08:34



Ich habe Xcode 6.4 beta und 7.0 beta persönlich heruntergeladen und war sehr glücklich, die Lösung zu finden, indem ich "8.4" im Anwendungsordner der 6.4 Beta suchte. Dadurch habe ich den Ordner gefunden 8.4 (12H4125a) mit dem iOS 8.4-Image und ich kopierte diesen Ordner auf den gleichen Pfad der 7.0 Beta. Der Pfad ist der folgende:

/Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport 

Wenn Sie Xcode 7 erneut öffnen und Ihr Gerät auswählen, wird eine Fehlermeldung angezeigt. Klicken Sie einfach auf fix issue und das sollte es tun!


286
2018-06-23 20:48



Dieser Fehler tritt auf wenn die Xcode-Version älter ist als die des Geräts.

Wenn Sie beispielsweise versuchen, einen Build auf einem Gerät mit iOS 9.3 in Xcode 7.2 auszuführen, tritt dieser Fehler auf. Could not find Developer Disk Image.

Warum eine Fehlermeldung, die eigentlich beschreibt, was zum Teufel los ist, nicht über mich hinausgeht (Apple, ich schaue dich an).

Aktualisieren Sie auf die neueste Version von Xcode über den App Store oder über direkten Download um die Interoperabilität mit der verbundenen iOS-Hardware zu gewährleisten.


138
2017-12-16 13:10



Wenn Sie alten Xcode verwenden und auf Geräten mit einer neuen iOS-Version ausgeführt werden möchten, führen Sie diesen Trick aus. Dies stellt im Grunde einen symbolischen Link von der iOS-Geräteunterstützung in neuem Xcode zu altem Xcode her

https://gist.github.com/steipete/d9b44d8e9f341e81414e86d7ff8fb62d

Für Xcode 9.0 Beta und iOS 11.0 Beta (nenne deinen Xcode9.app für Xcode 9 Beta und Xcode.app für Xcode 8)

sudo ln -s "/Applications/Xcode9.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/11.0\ \(15A5278f\)" "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport"

113
2018-06-21 09:13



Mein Problem war mit Xcode 7 und Xcode 6.4 Beta und iOS 8.4 - Gerät nicht kompatibel.

Im Falle des gleichen Problems für besseres Verständnis, wie zu beheben, machen Sie als nächstes:

  1. Gehen Sie zu /Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport
  2. Gehe zu
    /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSup port /
  3. Kopiere den Ordner iOS 8.4 in einen anderen Ordner

Enter image description here

  1. Starten Sie Xcode neu

108
2017-07-09 19:37



Wenn Sie iOS 9.1 auf Ihrem Telefon haben, laden Sie einfach herunter Xcode 7.1 Beta statt GM.

Siehe Apples Antwort: Entwickler-Image für iOS 9.1 konnte nicht gefunden werden


75
2017-09-13 01:44



Ich habe dieselbe Fehlermeldung erhalten (Entwickler-Image konnte nicht gefunden werden) nachdem ich meine Geräte auf iOS 9.2 aktualisiert habe, aber vergessen habe, auf Xcode 7.2 zu aktualisieren.

Also in meinem Fall Lösung war einfach: Aktualisieren Sie einfach über den Mac App Store auf Xcode 7.2.


61
2017-12-12 07:34